Bug 199161 - i386 and x86_64 package versions overwrite each other's files
Summary: i386 and x86_64 package versions overwrite each other's files
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: tcp_wrappers   
(Show other bugs)
Version: 5
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Janousek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-17 16:57 UTC by Jason Pepas
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-18 15:07:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jason Pepas 2006-07-17 16:57:03 UTC
Description of problem:

The i386 and x86_64 versions of tcp_wrappers share files in common, which means
that one of them will clobber the other's files.  Thus, it is not possible for
the 'rpm --verify' command to work for both rpms.  One of them will *always*
fail, depending upon the order of installation.

Demonstration:

# rpm -ivh --replacepkgs
ftp://mirror/fedora/core/5/x86_64/os/Fedora/RPMS/tcp_wrappers-7.6-40.2.i386.rpm
# rpm -ivh --replacepkgs
ftp://mirror/fedora/core/5/x86_64/os/Fedora/RPMS/tcp_wrappers-7.6-40.2.x86_64.rpm
# rpm --verify tcp_wrappers.i386
.......T    /usr/include/tcpd.h
.......T  d /usr/share/man/man3/hosts_access.3.gz
.......T  d /usr/share/man/man5/hosts_access.5.gz
.......T  d /usr/share/man/man5/hosts_options.5.gz
.......T  d /usr/share/man/man8/tcpd.8.gz
# rpm --verify tcp_wrappers.x86_64

# rpm -ivh --replacepkgs
ftp://mirror/fedora/core/5/x86_64/os/Fedora/RPMS/tcp_wrappers-7.6-40.2.x86_64.rpm
# rpm -ivh --replacepkgs
ftp://mirror/fedora/core/5/x86_64/os/Fedora/RPMS/tcp_wrappers-7.6-40.2.i386.rpm
# rpm --verify tcp_wrappers.i386
# rpm --verify tcp_wrappers.x86_64
.......T    /usr/include/tcpd.h
.......T  d /usr/share/man/man3/hosts_access.3.gz
.......T  d /usr/share/man/man5/hosts_access.5.gz
.......T  d /usr/share/man/man5/hosts_options.5.gz
.......T  d /usr/share/man/man8/tcpd.8.gz

Comment 1 Tomas Janousek 2007-01-18 15:07:37 UTC
This is the way rpm -V currently works for multilib packages.


Note You need to log in before you can comment on or make changes to this bug.